-- javagui_cage.lua
-- runs the hello world script with the Java GUI bridge
-- Start GUIServer.jar first!
--
-- Version: Safe Lua 0.2 (http://safelua.sf.net)
-- by Stefan Reich (www.friedensrevolution.de)
-- Contact: stefan.reich.maker.of.eye@gmail.com
-- This code is public domain!

package.path = package.path..';../?.lua'
require "lib_runflex"

Cage {
  Sandbox {
    -- The bridge is allowed to use sockets to communicate with Java server
    script = "javagui.slua",
    magic = {"socket"}
  },
  Sandbox {
     -- This is an app script and it gets no superpowers. Just safecomm!
    script = "helloworld_for_gui.slua"
  }
}
