-- vclgui_cage.lua
-- runs the hello world script with the VCLua GUI bridge
--
-- Version: Safe Lua 0.2 (http://safelua.sf.net)
-- by Stefan Reich (www.friedensrevolution.de)
-- Contact: stefan.reich.maker.of.eye@gmail.com
-- This code is public domain!

package.path = package.path..';../?.lua'
require "lib_runflex"

Cage {
  Sandbox {
    -- The bridge must of course be allowed to access VCLua
    script = "vclgui.slua",
    magic = {"vcl", "blockingOp"}
  },
  Sandbox {
     -- This is an app script and it gets no superpowers. Just safecomm!
    script = "helloworld_for_gui.slua"
  }
}
