-- an_example_cage.lua
-- creates and runs a cage with four sandboxes
--
-- Version: Safe Lua 0.2 (http://safelua.sf.net)
-- by Stefan Reich (www.friedensrevolution.de)
-- Contact: stefan.reich.maker.of.eye@gmail.com
-- This code is public domain!

package.path = package.path..';../?.lua'
require "lib_runflex"

Cage {
  Sandbox {
    code = [[
      print "Endless loops are not scary!"
      while true do end
    ]]
  },
  Sandbox {
    code = [[ print "Hello world!" ]]
  },
  Sandbox {
    code = [[ print "Me too!" ]]
  },
  Sandbox {
    code = [[ os.exit() ]] -- just to check that it's not allowed
  },
  timeout = 100000 -- cage-wide time limit for all sandboxes
}
