-- taskmantest_cage.lua
-- Cage for testing the Java-based task manager
--
-- Version: Safe Lua 0.3 (http://safelua.sf.net)
-- by Stefan Reich (www.friedensrevolution.de)
-- Contact: stefan.reich.maker.of.eye@gmail.com
-- This code is public domain!

package.path = package.path..';../?.lua'
require "lib_runflex"

Cage {
  Sandbox {
    script = "taskmanbridge.slua",
    magic = {"socket", "cageManagement"}
  },
  Sandbox {
    code = [[
      print('infinite loop!')
      while true do
      end
    ]]
  },

  -- soft timeout is max # of instructions allowed between yields
  -- (timeout is max total # of instructions per script)
  softtimeout = 1000000
}
